require "import"
import "android.widget.*"
import "com.androlua.*"

local buttonList = {
    "Canción anterior",
    "Reproducir/Pausar",
    "Siguiente canción"
}

local layout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    {
        TextView,
        text = "Controles de reproducción emergente",
        textSize = "20sp",
        gravity = "center",
        layout_width = "fill",
        layout_height = "wrap"
    },
    {
        GridView,
        id = "grid",
        numColumns = 1,
        layout_width = "fill",
        layout_height = "fill"
    }
}

local dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(buttonList))
dlg.setButton("Cancelar", nil)
dlg.show()

grid.onItemClick = function(l, v)
    task(100, function()
        dlg.dismiss()
        service.playSoundTick()

        if v.text == "Canción anterior" then
            if service.execute("Pista anterior") then
                return true
            end
        end

        if v.text == "Reproducir/Pausar" then
            if service.execute("Pausar la reproducción") then
                return true
            end
        end

        if v.text == "Siguiente canción" then
            if service.execute("Pista siguiente") then
                return true
            end
        end
    end)
end

return true